Bug 1919864 - rdma-core-33.0-1.fc33 not available as multilib anymore (missing i686 version in x86_64 repos)
Summary: rdma-core-33.0-1.fc33 not available as multilib anymore (missing i686 version...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: rdma-core
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honggang LI
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
: 1946246 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-25 10:15 UTC by Kamil Páral
Modified: 2021-05-09 22:49 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-26 00:38:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Páral 2021-01-25 10:15:58 UTC
Description of problem:
After this update [1] multiple people report problems with rdma-core.i686 installed on their x86_64 system:

$ sudo dnf update rdma-core
Last metadata expiration check: 0:22:29 ago on Mon 25 Jan 2021 10:45:34 AM CET.
Dependencies resolved.

 Problem: cannot install both rdma-core-33.0-1.fc33.x86_64 and rdma-core-32.0-1.fc33.x86_64
  - rdma-core-32.0-1.fc33.i686 has inferior architecture
  - cannot install the best update candidate for package rdma-core-32.0-1.fc33.x86_64
  - problem with installed package rdma-core-32.0-1.fc33.i686
================================================================================
 Package            Architecture    Version              Repository        Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 rdma-core          x86_64          33.0-1.fc33          updates           56 k


The i686 package is missing from the repo:

$ sudo dnf list --showduplicates rdma-core
Last metadata expiration check: 0:22:13 ago on Mon 25 Jan 2021 10:45:34 AM CET.
Installed Packages
rdma-core.i686                        32.0-1.fc33                       @updates
rdma-core.x86_64                      32.0-1.fc33                       @updates
Available Packages
rdma-core.i686                        31.0-1.fc33                       fedora  
rdma-core.x86_64                      31.0-1.fc33                       fedora  
rdma-core.x86_64                      33.0-1.fc33                       updates 


I don't understand why this was intentionally pushed even though the problem was reported in Bodhi in advance.

I suppose this could be related to bug 1901086. It could also be an infra failure. But my first impression is that the multilib detection changed after package deps were adjusted. Please look into this ASAP, this breaks system update for many users, thanks.

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2021-939be780dc

Version-Release number of selected component (if applicable):
rdma-core-33.0-1.fc33

Comment 1 Honggang LI 2021-01-26 00:38:04 UTC
Issue had be fixed in rdma-core-33.0-2.fc34 build.

tmp]$ cat /etc/redhat-release 
Fedora release 34 (Rawhide)

tmp]$ rpm -q rdma-core
rdma-core-33.0-2.fc34.x86_64
rdma-core-33.0-2.fc34.i686

Comment 2 Kamil Páral 2021-01-26 09:03:15 UTC
Great. But it needs to be submitted to Fedora 32 and Fedora 33 as updates, because currently Fedora 33 is broken and Fedora 32 has the broken build pending as an update in updates-testing. Thanks.

Comment 3 Honggang LI 2021-01-26 11:04:05 UTC
[honli@localhost ~]$ cat /etc/redhat-release 
Fedora release 33 (Thirty Three)

[honli@localhost ~]$ wget -q https://kojipkgs.fedoraproject.org//packages/rdma-core/33.0/1.fc33/i686/rdma-core-33.0-1.fc33.i686.rpm
                                                                                                                       
[honli@localhost ~]$ sudo dnf install ./rdma-core-33.0-1.fc33.i686.rpm 
Last metadata expiration check: 0:18:25 ago on Tue 26 Jan 2021 05:41:11 AM EST.
Dependencies resolved.
==========================================================================================
 Package               Architecture  Version                  Repository             Size
==========================================================================================
Installing:
 rdma-core             i686          33.0-1.fc33              @commandline           57 k
Installing dependencies:
 glibc                 i686          2.32-3.fc33              updates               3.4 M
 libgcc                i686          10.2.1-9.fc33            updates               108 k
 libgcrypt             i686          1.8.7-1.fc33             updates               442 k
 libgpg-error          i686          1.41-1.fc33              updates               217 k
 libnl3                i686          3.5.0-5.fc33             fedora                343 k
 libzstd               i686          1.4.7-1.fc33             updates               331 k
 lz4-libs              i686          1.9.1-3.fc33             fedora                 62 k
 systemd-libs          i686          246.7-2.fc33             updates               617 k
 xz-libs               i686          5.2.5-4.fc33             updates                99 k

Transaction Summary
==========================================================================================
Install  10 Packages

Total size: 5.6 M
Installed size: 21 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] glibc-2.32-3.fc33.i686.rpm: Already downloaded                                 
[SKIPPED] libgcc-10.2.1-9.fc33.i686.rpm: Already downloaded                              
[SKIPPED] libgcrypt-1.8.7-1.fc33.i686.rpm: Already downloaded                            
[SKIPPED] libgpg-error-1.41-1.fc33.i686.rpm: Already downloaded                          
[SKIPPED] libzstd-1.4.7-1.fc33.i686.rpm: Already downloaded                              
[SKIPPED] systemd-libs-246.7-2.fc33.i686.rpm: Already downloaded                         
[SKIPPED] xz-libs-5.2.5-4.fc33.i686.rpm: Already downloaded                              
[SKIPPED] libnl3-3.5.0-5.fc33.i686.rpm: Already downloaded                               
[SKIPPED] lz4-libs-1.9.1-3.fc33.i686.rpm: Already downloaded                             
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                  1/1 
  Installing       : libgcc-10.2.1-9.fc33.i686                                       1/10 
  Running scriptlet: libgcc-10.2.1-9.fc33.i686                                       1/10 
  Running scriptlet: glibc-2.32-3.fc33.i686                                          2/10 
  Installing       : glibc-2.32-3.fc33.i686                                          2/10 
  Running scriptlet: glibc-2.32-3.fc33.i686                                          2/10 
  Installing       : libgpg-error-1.41-1.fc33.i686                                   3/10 
  Installing       : libgcrypt-1.8.7-1.fc33.i686                                     4/10 
  Installing       : libzstd-1.4.7-1.fc33.i686                                       5/10 
  Installing       : xz-libs-5.2.5-4.fc33.i686                                       6/10 
  Installing       : libnl3-3.5.0-5.fc33.i686                                        7/10 
  Installing       : lz4-libs-1.9.1-3.fc33.i686                                      8/10 
  Installing       : systemd-libs-246.7-2.fc33.i686                                  9/10 
  Running scriptlet: systemd-libs-246.7-2.fc33.i686                                  9/10 
  Installing       : rdma-core-33.0-1.fc33.i686                                     10/10 
  Running scriptlet: rdma-core-33.0-1.fc33.i686                                     10/10 
  Verifying        : glibc-2.32-3.fc33.i686                                          1/10 
  Verifying        : libgcc-10.2.1-9.fc33.i686                                       2/10 
  Verifying        : libgcrypt-1.8.7-1.fc33.i686                                     3/10 
  Verifying        : libgpg-error-1.41-1.fc33.i686                                   4/10 
  Verifying        : libzstd-1.4.7-1.fc33.i686                                       5/10 
  Verifying        : systemd-libs-246.7-2.fc33.i686                                  6/10 
  Verifying        : xz-libs-5.2.5-4.fc33.i686                                       7/10 
  Verifying        : libnl3-3.5.0-5.fc33.i686                                        8/10 
  Verifying        : lz4-libs-1.9.1-3.fc33.i686                                      9/10 
  Verifying        : rdma-core-33.0-1.fc33.i686                                     10/10 

Installed:
  glibc-2.32-3.fc33.i686        libgcc-10.2.1-9.fc33.i686  libgcrypt-1.8.7-1.fc33.i686   
  libgpg-error-1.41-1.fc33.i686 libnl3-3.5.0-5.fc33.i686   libzstd-1.4.7-1.fc33.i686     
  lz4-libs-1.9.1-3.fc33.i686    rdma-core-33.0-1.fc33.i686 systemd-libs-246.7-2.fc33.i686
  xz-libs-5.2.5-4.fc33.i686    

Complete!

Comment 4 Onuralp SEZER 2021-01-26 11:48:08 UTC
dnf remove rdma-core
Dependencies resolved.
==============================================================================================================================================
 Package                           Architecture                   Version                              Repository                        Size
==============================================================================================================================================
Removing:
 rdma-core                         i686                           32.0-1.fc33                          @updates                         115 k
 rdma-core                         x86_64                         32.0-1.fc33                          @updates                         121 k

Transaction Summary
==============================================================================================================================================
Remove  2 Packages

Freed space: 236 k
Is this ok [y/N]: y
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
snapper: creating pre_snapshot failed: error.unknown_config: org.freedesktop.DBus.Error.Failed
Running transaction
  Preparing        :                                                                                                                      1/1 
  Running scriptlet: rdma-core-32.0-1.fc33.i686                                                                                           1/1 
  Erasing          : rdma-core-32.0-1.fc33.i686                                                                                           1/2 
  Erasing          : rdma-core-32.0-1.fc33.x86_64                                                                                         2/2 
  Running scriptlet: rdma-core-32.0-1.fc33.x86_64                                                                                         2/2 
  Verifying        : rdma-core-32.0-1.fc33.x86_64                                                                                         1/2 
  Verifying        : rdma-core-32.0-1.fc33.i686                                                                                           2/2 

Removed:
  rdma-core-32.0-1.fc33.i686                                           rdma-core-32.0-1.fc33.x86_64       

[root@fedoravirtual ~]# dnf install rdma-core.i686
Last metadata expiration check: 3:21:53 ago on Tue 26 Jan 2021 11:24:27 AM +03.
Dependencies resolved.
==============================================================================================================================================
 Package                            Architecture                  Version                               Repository                       Size
==============================================================================================================================================
Installing:
 rdma-core                          i686                          31.0-1.fc33                           fedora                           61 k

Transaction Summary
==============================================================================================================================================
Install  1 Package

Total download size: 61 k
Installed size: 127 k
Is this ok [y/N]: y
Downloading Packages:
rdma-core-31.0-1.fc33.i686.rpm                                                                                 87 kB/s |  61 kB     00:00    
----------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                          32 kB/s |  61 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
snapper: creating pre_snapshot failed: error.unknown_config: org.freedesktop.DBus.Error.Failed
Running transaction
  Preparing        :                                                                                                                      1/1 
  Installing       : rdma-core-31.0-1.fc33.i686                                                                                           1/1 
  Running scriptlet: rdma-core-31.0-1.fc33.i686                                                                                           1/1 
  Verifying        : rdma-core-31.0-1.fc33.i686                                                                                           1/1 

Installed:
  rdma-core-31.0-1.fc33.i686                                                                                                                  

Complete!
[root@fedoravirtual ~]# dnf install rdma-core.x86_64
Last metadata expiration check: 3:22:05 ago on Tue 26 Jan 2021 11:24:27 AM +03.
Dependencies resolved.
==============================================================================================================================================
 Package                           Architecture                   Version                               Repository                       Size
==============================================================================================================================================
Installing:
 rdma-core                         x86_64                         33.0-1.fc33                           updates                          56 k

Transaction Summary
==============================================================================================================================================
Install  1 Package

Total download size: 56 k
Installed size: 120 k
Is this ok [y/N]: y
Downloading Packages:
rdma-core-33.0-1.fc33.x86_64.rpm                                                                              9.7 kB/s |  56 kB     00:05    
----------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                         8.0 kB/s |  56 kB     00:07     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction test error:
  file /etc/rdma/modules/rdma.conf from install of rdma-core-33.0-1.fc33.x86_64 conflicts with file from package rdma-core-31.0-1.fc33.i686
  file /usr/lib/dracut/modules.d/05rdma/module-setup.sh from install of rdma-core-33.0-1.fc33.x86_64 conflicts with file from package rdma-core-31.0-1.fc33.i686
  file /usr/lib/udev/rules.d/90-rdma-hw-modules.rules from install of rdma-core-33.0-1.fc33.x86_64 conflicts with file from package rdma-core-31.0-1.fc33.i686
  file /usr/share/doc/rdma-core/udev.md from install of rdma-core-33.0-1.fc33.x86_64 conflicts with file from package rdma-core-31.0-1.fc33.i686

Comment 5 Onuralp SEZER 2021-01-26 11:55:01 UTC
32-bit package also missing as well. 

[root@fedora ~]# cat /etc/redhat-release 
Fedora release 34 (Rawhide)
[root@fedora ~]# dnf search rdma-core
Last metadata expiration check: 0:03:21 ago on Tue 26 Jan 2021 02:50:54 PM +03.
====================================================== Name Exactly Matched: rdma-core =======================================================
rdma-core.x86_64 : RDMA core userspace libraries and daemons
========================================================== Name Matched: rdma-core ===========================================================
rdma-core-devel.i686 : RDMA core development libraries and headers
rdma-core-devel.x86_64 : RDMA core development libraries and headers

Comment 6 Kamil Páral 2021-01-26 12:58:46 UTC
Onuralp from comment 5 is correct, this is actually still missing even in Rawhide:

$ sudo dnf list --available --showduplicates --releasever=rawhide --repo=fedora --refresh rdma-core
Fedora rawhide - x86_64                                           27 kB/s |  19 kB     00:00    
Available Packages
rdma-core.x86_64                                33.0-2.fc34                                fedora

This can be also easily verified here:
https://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/r/

There is currently a relevant discussion on how to make a package multilib here:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/GIA77IH56DQFQBFED6YWQFFOW7JXLR6L/

Please note that I'm not saying that rdma-core *needs to be* multilib. I don't know what it is used for. But if it should be multilib, it either needs to be a requirement of some devel package (according to the email thread) or it needs to be whitelisted in Fedora Releng scripts. It if shouldn't be multilib, then... you need to ask packagers on the devel list, because I don't know how to do this properly. Perhaps the x86_64 version should obsolete the i686 version, if it is possible. I checked and I haven't found an i686 package in x86_64 repos which would require the (now missing) rdma-core.i686, so all the provides seem already handled.

(In reply to Honggang LI from comment #3)
> [honli@localhost ~]$ cat /etc/redhat-release 
> Fedora release 33 (Thirty Three)
> 
> [honli@localhost ~]$ wget -q
> https://kojipkgs.fedoraproject.org//packages/rdma-core/33.0/1.fc33/i686/rdma-
> core-33.0-1.fc33.i686.rpm

Honggang, I'm not sure if you understand what we're trying to point out here, or perhaps I don't understand the purpose of your console output. But the issue is not rdma-core.i686 installation (after you manually download it from Koji). The issue is that after the recent update, rdma-core.i686 disappeared from x86_64 repos. And that seems to be a direct consequence of your packaging changes.

Comment 7 Honggang LI 2021-01-26 13:16:27 UTC
(In reply to Kamil Páral from comment #6)

> Honggang, I'm not sure if you understand what we're trying to point out

I was misunderstanding what your requested, as you mentioned bug 1901086.
The rpm build rdma-core-33.0-1 has regression issue https://bugzilla.redhat.com/show_bug.cgi?id=1901086#c14 .

I was thinking you were requesting fix for that issue, which fixed in
rdma-core-33.0-2 build.

Now I understand you want rdma-core.i686 package be included in 'fedaro' repo
for F33 and F32. You also want rdma-core.i686 package be included in 'rawhide'
repo for F34.

> here, or perhaps I don't understand the purpose of your console output. But
> the issue is not rdma-core.i686 installation (after you manually download it
> from Koji). The issue is that after the recent update, rdma-core.i686
> disappeared from x86_64 repos. And that seems to be a direct consequence of
> your packaging changes.

https://bugzilla.redhat.com/show_bug.cgi?id=1901065#c5

It seems the rdma-core.i686 package will be included into 'fedora' repo again
in case I revert the base package dependency for subpackages.

The problem is that I don't see why some i686 packages are selected for
x86_64 platform while other were not selected.

Comment 8 Kamil Páral 2021-01-26 13:23:36 UTC
(In reply to Honggang LI from comment #7)
> The problem is that I don't see why some i686 packages are selected for
> x86_64 platform while other were not selected.

Yes, that's tricky, please read the email thread linked in comment 6, thanks.

Comment 9 Honggang LI 2021-01-26 13:43:37 UTC
(In reply to Kamil Páral from comment #8)
> (In reply to Honggang LI from comment #7)
> > The problem is that I don't see why some i686 packages are selected for
> > x86_64 platform while other were not selected.
> 
> Yes, that's tricky, please read the email thread linked in comment 6, thanks.

OK, I will revert base package dependency for F33/F32 build. But I can't
revert it for Fedora-34 as I cut the dependency for Cloud/Edge image.

I will file an issue in https://pagure.io/pungi-fedora/issues to ask add
rdma-core component into multilib white list.

Thanks

Comment 11 Fedora Update System 2021-01-26 14:32:41 UTC
FEDORA-2021-987b06d6fe has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-987b06d6fe

Comment 12 Fedora Update System 2021-01-26 14:32:42 UTC
FEDORA-2021-b6cae5ac96 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b6cae5ac96

Comment 13 Fedora Update System 2021-01-27 01:37:09 UTC
FEDORA-2021-b6cae5ac96 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b6cae5ac96`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b6cae5ac96

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-01-27 01:51:27 UTC
FEDORA-2021-987b06d6fe has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-987b06d6fe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-987b06d6fe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-01-29 02:34:46 UTC
FEDORA-2021-b6cae5ac96 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Onuralp SEZER 2021-02-12 14:53:05 UTC
 Problem 2: rdma-core-33.0-2.fc33.i686 has inferior architecture
  - rdma-core-33.0-2.fc33.x86_64 does not belong to a distupgrade repository
  - problem with installed package rdma-core-33.0-2.fc33.i686



It was happened when I decided to upgrade to fedora 34 and If I delete ".i686" package It deletes entire "wine packages" 

Dependencies resolved.
==========================================================================================================================================================================================
 Package                                              Architecture                 Version                                                   Repository                              Size
==========================================================================================================================================================================================
Removing:
 rdma-core                                            i686                         33.0-2.fc33                                               @updates-testing                       114 k
Removing dependent packages:
 libibverbs                                           i686                         33.0-2.fc33                                               @updates-testing                       973 k
 libpcap                                              i686                         14:1.9.1-6.fc33                                           @updates                               401 k
 wine                                                 x86_64                       6.1-1.fc33                                                @updates-testing                         0  
Removing unused dependencies:
 SDL2                                                 i686                         2.0.14-1.fc33                                             @updates                               1.6 M
 libFAudio                                            i686                         21.02-1.fc33                                              @updates-testing                       258 k
 libFAudio                                            x86_64                       21.02-1.fc33                                              @updates-testing                       243 k
 liberation-narrow-fonts                              noarch                       2:1.07.6-4.fc33                                           @fedora                                503 k
 libexif                                              i686                         0.6.22-3.fc33                                             @updates                               2.3 M
 libgphoto2                                           i686                         2.5.26-1.fc33                                             @updates                               5.7 M
 libieee1284                                          i686                         0.2.11-34.fc33                                            @fedora                                 96 k
 libvkd3d                                             i686                         1.2-1.fc33                                                @updates-testing                       386 k
 libvkd3d                                             x86_64                       1.2-1.fc33                                                @updates-testing                       410 k
 libvkd3d-shader                                      i686                         1.2-1.fc33                                                @updates-testing                       277 k
 libvkd3d-shader                                      x86_64                       1.2-1.fc33                                                @updates-testing                       278 k
 mesa-libOSMesa                                       i686                         20.3.4-1.fc33                                             @updates-testing                        11 M
 mingw32-wine-gecko                                   noarch                       2.47.2-1.fc33                                             @updates                                51 M
 mingw64-wine-gecko                                   noarch                       2.47.2-1.fc33                                             @updates                                49 M
 samba-common-tools                                   x86_64                       2:4.13.4-0.fc33                                           @updates-testing                       1.2 M
 samba-winbind                                        x86_64                       2:4.13.4-0.fc33                                           @updates-testing                       1.6 M
 samba-winbind-clients                                x86_64                       2:4.13.4-0.fc33                                           @updates-testing                       162 k
 samba-winbind-modules                                x86_64                       2:4.13.4-0.fc33                                           @updates-testing                        81 k
 sane-backends-drivers-cameras                        i686                         1.0.31-3.fc33                                             @updates                                52 k
 sane-backends-drivers-scanners                       i686                         1.0.31-3.fc33                                             @updates                                12 M
 sane-backends-libs                                   i686                         1.0.31-3.fc33                                             @updates                                96 k
 spirv-tools-libs                                     i686                         2020.5-1.20200803.git92a7165.fc33                         @fedora                                4.4 M
 wine-alsa                                            i686                         6.1-1.fc33                                                @updates-testing                       232 k
 wine-alsa                                            x86_64                       6.1-1.fc33                                                @updates-testing                       250 k
 wine-arial-fonts                                     noarch                       6.1-1.fc33                                                @updates-testing                       157 k
 wine-capi                                            i686                         6.1-1.fc33                                                @updates-testing                        84 k
 wine-capi                                            x86_64                       6.1-1.fc33                                                @updates-testing                        86 k
 wine-cms                                             i686                         6.1-1.fc33                                                @updates-testing                       397 k
 wine-cms                                             x86_64                       6.1-1.fc33                                                @updates-testing                       450 k
 wine-common                                          noarch                       6.1-1.fc33                                                @updates-testing                       142 k
 wine-core                                            i686                         6.1-1.fc33                                                @updates-testing                       464 M
 wine-core                                            x86_64                       6.1-1.fc33                                                @updates-testing                       529 M
 wine-courier-fonts                                   noarch                       6.1-1.fc33                                                @updates-testing                       170 k
 wine-desktop                                         noarch                       6.1-1.fc33                                                @updates-testing                       696 k
 wine-dxvk                                            i686                         1.7.3-1.fc33                                              @updates-testing                        48 M
 wine-dxvk                                            x86_64                       1.7.3-1.fc33                                              @updates-testing                        60 M
 wine-dxvk-d3d9                                       i686                         1.7.3-1.fc33                                              @updates-testing                        14 M
 wine-dxvk-d3d9                                       x86_64                       1.7.3-1.fc33                                              @updates-testing                        17 M
 wine-dxvk-dxgi                                       i686                         1.7.3-1.fc33                                              @updates-testing                        13 M
 wine-dxvk-dxgi                                       x86_64                       1.7.3-1.fc33                                              @updates-testing                        16 M
 wine-filesystem                                      noarch                       6.1-1.fc33                                                @updates-testing                       9.2 M
 wine-fixedsys-fonts                                  noarch                       6.1-1.fc33                                                @updates-testing                        37 k
 wine-fonts                                           noarch                       6.1-1.fc33                                                @updates-testing                         0  
 wine-ldap                                            i686                         6.1-1.fc33                                                @updates-testing                       386 k
 wine-ldap                                            x86_64                       6.1-1.fc33                                                @updates-testing                       441 k
 wine-marlett-fonts                                   noarch                       6.1-1.fc33                                                @updates-testing                        32 k
 wine-mono                                            noarch                       5.1.1-1.fc33                                              @updates                               214 M
 wine-ms-sans-serif-fonts                             noarch                       6.1-1.fc33                                                @updates-testing                       4.6 M
 wine-openal                                          i686                         6.1-1.fc33                                                @updates-testing                       119 k
 wine-openal                                          x86_64                       6.1-1.fc33                                                @updates-testing                       157 k
 wine-opencl                                          i686                         6.1-1.fc33                                                @updates-testing                       143 k
 wine-opencl                                          x86_64                       6.1-1.fc33                                                @updates-testing                       156 k
 wine-pulseaudio                                      i686                         6.1-1.fc33                                                @updates-testing                       227 k
 wine-pulseaudio                                      x86_64                       6.1-1.fc33                                                @updates-testing                       240 k
 wine-small-fonts                                     noarch                       6.1-1.fc33                                                @updates-testing                        65 k
 wine-symbol-fonts                                    noarch                       6.1-1.fc33                                                @updates-testing                        51 k
 wine-system-fonts                                    noarch                       6.1-1.fc33                                                @updates-testing                       121 k
 wine-systemd                                         noarch                       6.1-1.fc33                                                @updates-testing                       119  
 wine-tahoma-fonts                                    noarch                       6.1-1.fc33                                                @updates-testing                       300 k
 wine-times-new-roman-fonts                           noarch                       6.1-1.fc33                                                @updates-testing                       170 k
 wine-twain                                           i686                         6.1-1.fc33                                                @updates-testing                       282 k
 wine-twain                                           x86_64                       6.1-1.fc33                                                @updates-testing                       320 k
 wine-webdings-fonts                                  noarch                       6.1-1.fc33                                                @updates-testing                        30 k
 wine-wingdings-fonts                                 noarch                       6.1-1.fc33                                                @updates-testing                        35 k

Transaction Summary
==========================================================================================================================================================================================
Remove  68 Packages

Freed space: 1.5 G
Is this ok [y/N]: N

Comment 17 Kamil Páral 2021-02-12 15:23:52 UTC
Onuralp, use --allowerasing when doing the system upgrade, it should only remove rdma-core.i686.

Comment 18 Miroslav Suchý 2021-02-13 21:36:03 UTC
@kparal but that cannot be fixed for F34 GA. Or it needs to be documented in release notes.
Can we obsolete only one architecture? Ie. can fedora-obsolete-packages obsolete: rdma-core.i686? I have never done that - so I am really curious if it would work.

Comment 19 Kamil Páral 2021-02-15 08:46:41 UTC
(In reply to Miroslav Suchý from comment #18)
> @kparal but that cannot be fixed for F34 GA.

It seems we can't fix that:
https://src.fedoraproject.org/rpms/rdma-core/pull-request/7

> Or it needs to be documented in
> release notes.

Well, it's somewhat documented in the official upgrade guide:
https://docs.fedoraproject.org/en-US/quick-docs/dnf-system-upgrade/

We can of course highlight it in CommonBugs. I'm not sure if it is needed, but I'll tag this just to make sure we don't forget to consider it.

> Can we obsolete only one architecture? Ie. can fedora-obsolete-packages
> obsolete: rdma-core.i686? I have never done that - so I am really curious if
> it would work.

That's an interesting idea. Can you please test that? I'm not clear about all the implications this can have, though.

Comment 20 Kamil Páral 2021-02-15 08:49:08 UTC
(In reply to Kamil Páral from comment #19)
> > Can we obsolete only one architecture? Ie. can fedora-obsolete-packages
> > obsolete: rdma-core.i686? I have never done that - so I am really curious if
> > it would work.
> 
> That's an interesting idea. Can you please test that? I'm not clear about
> all the implications this can have, though.

Spoke too soon, this will most likely hit the same problem we encountered when trying to make rdma-core.x86_64 obsolete rdma-core.i686.

Comment 21 Fedora Update System 2021-02-16 02:09:59 UTC
FEDORA-2021-987b06d6fe has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Miro Hrončok 2021-02-17 15:04:31 UTC
can fedora-obsolete-packages obsolete rdma-core.i686?

AFAIK yes, but it would break the package in i686 buildroot.  fedora-obsolete-packages is noarch.

Comment 23 Miroslav Suchý 2021-04-07 07:38:10 UTC
*** Bug 1946246 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.